Bug 1336090

Summary: koschei FTBFS on aarch64 epel7
Product: [Fedora] Fedora EPEL Reporter: D. Marlin <dmarlin>
Component: koscheiAssignee: Michael Simacek <msimacek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: mizdebsk, msimacek, yselkowi
Target Milestone: ---Keywords: Upstream
Target Release: ---   
Hardware: aarch64   
OS: Linux   
Whiteboard:
Fixed In Version: koschei-1.7-1.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-07 04:19:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285484    

Description D. Marlin 2016-05-14 04:21:15 UTC
Description of problem:

koschei fails to build from source for Fedora EPEL7 on RHELSA-7.2.


Version-Release number of selected component (if applicable):

koschei-1.6-1.el7


How reproducible:

consistently


Steps to Reproduce:
1.  On a RHELSA-7.2 host:
    mock -r epel-7-aarch64 koschei-1.6-1.el7.src.rpm
2.
3.

Actual results:

Fails test with the following error:

test_repo_generation (test.resolver_test.ResolverTest) ... /usr/lib/python2.7/site-packages/fedmsg/core.py:158: UserWarning: fedmsg is not configured to send any messages for name None
  "for name %r" % config.get("name", None))
ERROR


Expected results:

completes build without errors.


Additional info:

The previous version in EPEL7 (koschei-1.2-2.el7) successfully built on AArch64.

Comment 1 Yaakov Selkowitz 2016-05-15 18:02:27 UTC
FWIW with 1.6.1-1 I get slightly different results:

ERROR: test_repo_generation (test.resolver_test.ResolverTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/koschei-koschei-1.6.1-1/test/resolver_test.py", line 268, in test_repo_generation
    self.resolver.generate_repo(self.collection, 666)
  File "/builddir/build/BUILD/koschei-koschei-1.6.1-1/koschei/backend/services/resolver.py", line 410, in generate_repo
    self.generate_dependency_changes(sack, collection, packages, brs, repo_id)
  File "/builddir/build/BUILD/koschei-koschei-1.6.1-1/koschei/backend/services/resolver.py", line 364, in generate_dependency_changes
    persist()
  File "/builddir/build/BUILD/koschei-koschei-1.6.1-1/koschei/backend/services/resolver.py", line 337, in persist
    self.emit_package_state_changes(state_changes)
  File "/builddir/build/BUILD/koschei-koschei-1.6.1-1/koschei/backend/services/resolver.py", line 281, in emit_package_state_changes
    new_state=new_state)
  File "/builddir/build/BUILD/koschei-koschei-1.6.1-1/koschei/plugin.py", line 36, in dispatch_event
    result.append(listener(*args, **kwargs))
  File "/builddir/build/BUILD/koschei-koschei-1.6.1-1/koschei/backend/plugins/fedmsg_publisher.py", line 45, in emit_package_state_update
    fedmsg.publish(**message)
  File "/usr/lib/python2.7/site-packages/fedmsg/__init__.py", line 79, in _wrapper
    return func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/fedmsg/__init__.py", line 94, in publish
    return __local.__context.publish(topic, msg, **kw)
  File "/usr/lib/python2.7/site-packages/fedmsg/core.py", line 311, in publish
    self.publisher.send_multipart(
AttributeError: 'FedMsgContext' object has no attribute 'publisher'
-------------------- >> begin captured logging << --------------------
koschei.resolver: INFO: Generating new repo
koschei.resolver: INFO: Resolving dependencies...
koschei.fedmsg_publisher: INFO: Publishing fedmsg:
{'msg': {'koji_instance': 'primary', 'repo': u'tag', 'old': 'ok', 'name': u'foo', 'groups': [], 'collection_name': u'Foo', 'new': 'unresolved', 'collection': u'foo'}, 'topic': 'package.state.change', 'modname': 'koschei'}
--------------------- >> end captured logging << ---------------------

======================================================================
FAIL: test_broken_buildroot (test.resolver_test.ResolverTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/koschei-koschei-1.6.1-1/test/resolver_test.py", line 291, in test_broken_buildroot
    self.assertFalse(fedmsg_mock.called)
AssertionError: True is not false
-------------------- >> begin captured logging << --------------------
koschei.resolver: INFO: Generating new repo
koschei.resolver: INFO: Resolving dependencies...
koschei.fedmsg_publisher: INFO: Publishing fedmsg:
{'msg': {'koji_instance': 'primary', 'repo': u'tag', 'old': 'ok', 'name': u'foo', 'groups': [], 'collection_name': u'Foo', 'new': 'unresolved', 'collection': u'foo'}, 'topic': 'package.state.change', 'modname': 'koschei'}
root: DEBUG: Total repo generation time: 0.0970709323883 s
root: DEBUG: Dependency resolution time: 0.0577762126923 s
root: DEBUG: resolve_dependencies time: 0.00198578834534 s
root: DEBUG: create_dependency_changes time: 0 s
root: DEBUG: generate_dependency_changes time: 3.60012054443e-05 s
--------------------- >> end captured logging << ---------------------

Comment 2 Michael Simacek 2016-05-16 06:59:49 UTC
There was a bug in tests that caused failures on non-x86_64 arches. It's already fixed upstream and will be part of 1.6.2 (which should be released this week).

Comment 3 Mikolaj Izdebski 2016-05-16 08:13:14 UTC
FTR, upstream fix is at https://github.com/msimacek/koschei/commit/253fac2

Comment 4 Fedora Update System 2016-05-20 12:37:27 UTC
koschei-1.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ff18899955

Comment 5 Fedora Update System 2016-05-21 06:21:47 UTC
koschei-1.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ff18899955

Comment 6 Fedora Update System 2016-06-07 04:19:09 UTC
koschei-1.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.